| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
uiWindowGrabber Class Reference
uiTools

`#include <uiwindowgrabber.h>`

Inheritance diagram for uiWindowGrabber:
[legend]

## Public Member Functions
| uiWindowGrabber (uiParent *)
| ~uiWindowGrabber ()
void | actCB (CallBacker *)
bool | go ()
void | grabDesktop (bool yn)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Attributes
bool | desktop_
BufferString | filename_
uiMainWin * | grabwin_
uiParent * | parent_
int | quality_
Timer * | tmr_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

Grabs the screen area covered by a window or the whole desktop

<>

## Constructor & Destructor Documentation

## ◆ uiWindowGrabber()

uiWindowGrabber::uiWindowGrabber | ( | uiParent * |  | ) |

## ◆ ~uiWindowGrabber()

uiWindowGrabber::~uiWindowGrabber | ( |  | ) |

## Member Function Documentation

## ◆ actCB()

void uiWindowGrabber::actCB | ( | CallBacker * |  | ) |

## ◆ go()

bool uiWindowGrabber::go | ( |  | ) |

## ◆ grabDesktop()

void uiWindowGrabber::grabDesktop | ( | bool | yn | ) |
| inline

## Member Data Documentation

## ◆ desktop_

bool uiWindowGrabber::desktop_
| protected

## ◆ filename_

BufferString uiWindowGrabber::filename_
| protected

## ◆ grabwin_

uiMainWin* uiWindowGrabber::grabwin_
| protected

## ◆ parent_

uiParent* uiWindowGrabber::parent_
| protected

## ◆ quality_

int uiWindowGrabber::quality_
| protected

## ◆ tmr_

Timer* uiWindowGrabber::tmr_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025